aboutsummaryrefslogtreecommitdiffstats
path: root/make/scripts/lsGLtoGL3_commons.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2010-04-29 17:42:21 +0200
committerSven Gothel <[email protected]>2010-04-29 17:42:21 +0200
commit9bdcb54bc88788c1c3bea1bb76955f81ed3db3f7 (patch)
tree70938e455264ae212fc461345f7da83e7b5e75db /make/scripts/lsGLtoGL3_commons.sh
parent14256647c8954bb8d6d2afa88927e75783bc912b (diff)
cleanup scripts ; updated win32 and win64 scripts with my environment
Diffstat (limited to 'make/scripts/lsGLtoGL3_commons.sh')
-rw-r--r--make/scripts/lsGLtoGL3_commons.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/make/scripts/lsGLtoGL3_commons.sh b/make/scripts/lsGLtoGL3_commons.sh
new file mode 100644
index 000000000..44cc34ccd
--- /dev/null
+++ b/make/scripts/lsGLtoGL3_commons.sh
@@ -0,0 +1,16 @@
+#! /bin/sh
+
+BUILDDIR=$1
+shift
+if [ -z "$BUILDDIR" ] ; then
+ echo "usage $0 <BUILDDIR>"
+ exit 1
+fi
+
+idir=$BUILDDIR/jogl/gensrc/classes/javax/media/opengl
+
+echo GL to GL2ES2 to GL3 enums
+sort $idir/GL.java $idir/GL3.java $idir/GL2ES2.java | uniq -d | grep GL_ | awk ' { print $5 } '
+
+echo GL to GL2ES2 to GL3 functions
+sort $idir/GL.java $idir/GL3.java $idir/GL2ES2.java | uniq -d | grep "public [a-z0-9_]* gl"